# plex server

[installation tutorial](https://opensourcegeeks.net/installing-plex-on-a-raspberry-pi-with-docker-and-ubuntu)
https://opensourcegeeks.net/how-to-install-plex-on-a-raspberry-pi-with-docker-and-ubuntu/

https://github.com/plexinc/pms-docker/blob/master/README.md

`docker-compose up -d`

## Setup TV/Movie Folder link to network

 - Series Folder:
`sudo mount -t cifs -o username=marcelo //swaghausen-wg/marceload/Serien /media/plex/tvseries`

 - Movie Folder:
`sudo mount -t cifs -o username=marcelo //swaghausen-wg/marceload/Filme /media/plex/movies`

 - Doku Folder:
`sudo mount -t cifs -o username=marcelo //swaghausen-wg/marceload/Dokus /media/plex/dokus`

 - Football Folder:
`sudo mount -t cifs -o username=marcelo //swaghausen-wg/marceload/Fussball /media/plex/football`

 - Sport Folder:
`sudo mount -t cifs -o username=marcelo //swaghausen-wg/marceload/Sport /media/plex/sports`


 - edit fstab
`sudo nano /etc/fstab`
`//swaghausen-wg/marceload/Serien /media/plex/tvseries cifs vers=3.0,credentials=/home/odroid/.sharelogin,iocharset=utf8,file_mode=0777,dir_mode=0777,nofail 0 0`

 - mount all
 `sudo mount -a`

 - unmount folder in case e.g. of name change
`sudo umount -a -t cifs -l`

edit mount config for startup: `sudo nano /etc/fstab`
check validity of settings: `findmnt --verify`

 - restart container to make files available after mount 
`docker restart plex`


Library\Application Support\Plex Media Server\Preferences.xml

/docker/plex/library/Library/Application Support/Plex Media Server

[open URL in browser](http://192.168.178.125:32400/web)


http://192.168.178.125:32400/web/index.html#!/setup/f6df72acfd6ee4e03b3add62e37c12363efdae5a



## TODO
 - automate update with drone CI


## How to update
check for latest version at:
https://hub.docker.com/r/linuxserver/plex/tags?page=1

docker-compose pull
docker-compose up -d

## How to make new content available
paste video files into marceload folder
trigger scan of library
 - open browser
 - OR via Commandline

https://gist.githubusercontent.com/njregenwether/42e8751c751f04e41bb23f23ec416d0d/raw/e117b7f82878296ebc401994e8cd054416553454/ManuallyScanPlexLibrary.sh

```
root@odroid:/usr/lib/plexmediaserver# /usr/lib/plexmediaserver/Plex\ Media\ Scanner --list
  3: Dokus
  4: Dokus
  2: Filme
  7: Football
  1: Serien
  ```

`/usr/lib/plexmediaserver/Plex\ Media\ Scanner -s -r -c "${PLEXLIBNUM}"`
